# -*- rpm-spec -*-
%define module_name	madwifi-hal
%define module_version	0.10.5.6
%define real_version	r4031
%define real_build	20090529

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt1.%real_version
Provides: kernel-source-%module_name-%module_version
Summary: Linux %module_name Atheros WiFi chipset series module sources
License: GPL or BSD
Group: Development/Kernel
Url: http://madwifi.org
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-%module_version-%real_version-%real_build.tar.gz
Patch1: madwifi-disable-null-node-log.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep
%setup -c -q
pushd %module_name-%module_version-%real_version-%real_build

popd
%__mv %module_name-%module_version-%real_version-%real_build %name-%version
echo `pwd`
%patch1 -p1

%install
%__mkdir_p %kernel_srcdir
%__tar jcf %kernel_srcdir/%name-%version.tar.bz2 %name-%version

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Thu Jun 04 2009 Sergey Shilov <hsv@altlinux.org> 0.10.5.6-alt1.r4031
- Initial release

